- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Main::Legal Class Reference

A static class providing warranty and copyright text. More...

`#include <legal.h>`

## Static Public Member Functions
static std::string | warranty (const std::string &prefix, const std::string &eol)
| Returns the warranty text. More...
static std::string | copyright ()
| Returns the copyright text. More...

## Detailed Description

A static class providing warranty and copyright text.

Definition at line 36 of file legal.h.

## Member Function Documentation

std::string Main::Legal::copyright | ( |  | ) |
| static

Returns the copyright text.

Definition at line 26 of file legal.cpp.

Referenced by filter_help(), Main::Admin::newServer(), and Main::CommandLineImp::showCopyright().

std::string Main::Legal::warranty | ( | const std::string & | prefix,
|  | const std::string & | eol
| ) |  |
| static

Returns the warranty text.

Definition at line 31 of file legal.cpp.

Referenced by filter_help(), Main::Admin::newServer(), and Main::CommandLineImp::showWarranty().

The documentation for this class was generated from the following files:

- legal.h
- legal.cpp